Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wtc.gwt
Class XmlFmlCnv

    java.lang.Object
      weblogic.wtc.gwt.XmlFmlCnv

    public final class XmlFmlCnv

extends Object

Performs XML to FML(32) or FML(32) to XML translations.

Constructor Summary
`XmlFmlCnv()`

Method Summary
`String` | `FML32toXML(TypedFML32 inData)` Translate an FML32 buffer to XML.
`String` | `FML32toXML(TypedFML32 inData, boolean rootneeded)` Translate an FML32 buffer to XML.
`String` | `FML32toXML(TypedFML32 inData, boolean root, boolean grouping)`
`String` | `FML32toXML(TypedFML32 inData, boolean root, boolean ordering, boolean grouping)`
`String` | `FML32toXML(TypedFML32 inData, boolean root, boolean ordering, boolean grouping, boolean beautify)`
`String` | `FMLtoXML(TypedFML inData)` Translate an FML buffer to XML.
`String` | `FMLtoXML(TypedFML inData, boolean root)`
`String` | `FMLtoXML(TypedFML inData, boolean root, boolean grouping)`
`String` | `FMLtoXML(TypedFML inData, boolean root, boolean ordering, boolean grouping)`
`String` | `FMLtoXML(TypedFML inData, boolean root, boolean ordering, boolean grouping, boolean beautify)`
`TypedFML` | `XMLtoFML(String xmlinfo, FldTbl[] fldtbls)` Translate an XML document into an FML buffer.
`TypedFML32` | `XMLtoFML32(String xmlinfo, FldTbl[] fldtbls)` Translate an XML document into an FML32 buffer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlFmlCnv

    public XmlFmlCnv()

Method Detail

### FMLtoXML

    public String FMLtoXML(TypedFML inData,
                           boolean root,
                           boolean ordering,
                           boolean grouping,
                           boolean beautify)

### FMLtoXML

    public String FMLtoXML(TypedFML inData,
                           boolean root)

### FMLtoXML

    public String FMLtoXML(TypedFML inData,
                           boolean root,
                           boolean grouping)

### FMLtoXML

    public String FMLtoXML(TypedFML inData,
                           boolean root,
                           boolean ordering,
                           boolean grouping)

### FMLtoXML

    public String FMLtoXML(TypedFML inData)

  Translate an FML buffer to XML.

  Parameters:
    `inData` - FML buffer to convert
  Returns:
    XML buffer in the form of a String

### FML32toXML

    public String FML32toXML(TypedFML32 inData,
                             boolean root,
                             boolean ordering,
                             boolean grouping,
                             boolean beautify)

### FML32toXML

    public String FML32toXML(TypedFML32 inData,
                             boolean root,
                             boolean grouping)

### FML32toXML

    public String FML32toXML(TypedFML32 inData,
                             boolean root,
                             boolean ordering,
                             boolean grouping)

### FML32toXML

    public String FML32toXML(TypedFML32 inData)

  Translate an FML32 buffer to XML.

  Parameters:
    `inData` - FML32 buffer to convert
  Returns:
    XML buffer in the form of a String

### FML32toXML

    public String FML32toXML(TypedFML32 inData,
                             boolean rootneeded)

  Translate an FML32 buffer to XML. This method takes an additional parameter that if set to true will add an ... root element around the resulting document.

  Parameters:
    `inData` - FML32 buffer to convert
    `rootneeded` - if true, adds a root element
  Returns:
    XML buffer in the form of a String

### XMLtoFML

    public TypedFML XMLtoFML(String xmlinfo,
                             FldTbl[] fldtbls)

  Translate an XML document into an FML buffer.

  Parameters:
    `xmlinfo` - FML buffer to convert
    `fldtbls` - Field tables to use for Fldid/String mappings
  Returns:
    FML buffer

### XMLtoFML32

    public TypedFML32 XMLtoFML32(String xmlinfo,
                                 FldTbl[] fldtbls)

  Translate an XML document into an FML32 buffer.

  Parameters:
    `xmlinfo` - FML32 buffer to convert
    `fldtbls` - Field tables to use for Fldid/String mappings
  Returns:
    FML buffer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD